## Create app `client.Flagship.Apps.New(ctx, params) (*AppNewResponse, error)` **post** `/accounts/{account_id}/flagship/apps` Creates an app. The returned `id` is used in all subsequent flag, changelog, and evaluation requests. ### Parameters - `params AppNewParams` - `AccountID param.Field[string]` Path param: Cloudflare account ID. - `Name param.Field[string]` Body param ### Returns - `type AppNewResponse struct{…}` - `ID string` - `CreatedAt string` - `Name string` - `UpdatedAt string` - `UpdatedBy string` Email of the actor who last modified the app, or `edge-gateway` for gateway-authenticated changes. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/flagship" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) app, err := client.Flagship.Apps.New(context.TODO(), flagship.AppNewParams{ AccountID: cloudflare.F("account_id"), Name: cloudflare.F("x"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", app.ID) } ``` #### Response ```json { "errors": [ { "message": "message" } ], "messages": [ { "message": "message" } ], "result": { "id": "id", "created_at": "created_at", "name": "name", "updated_at": "updated_at", "updated_by": "updated_by" }, "success": true } ```